Snort mit MySQL 5.0 nicht kompatibel?

MySQL, PostgreSQL, SQLite
schröder
Posts: 56
Joined: 2003-05-04 12:52

Snort mit MySQL 5.0 nicht kompatibel?

Post by schröder » 2005-10-10 18:08

Snort v2.35

Ich habe versucht die create_mysql einzulesen aber es ergibt einen Fehler:
ERROR 1064 (42000) at line 23: You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near 'schema ( vseq INT UNSIGNED NOT NULL,
ctime ' at line 1
Was ich kaum glauben kann. Eine Schnellsuche mit google hat nichts gebracht. Weiss es hier jemand?

Martin

lord_pinhead
RSAC
Posts: 830
Joined: 2004-04-26 15:57

Re: Snort mit MySQL 5.0 nicht kompatibel?

Post by lord_pinhead » 2005-10-10 22:50

Hast du in der Mysql Konsole mal versucht den Befehl zu wiederholen und ggfs. zu debuggen?

schröder
Posts: 56
Joined: 2003-05-04 12:52

Re: Snort mit MySQL 5.0 nicht kompatibel?

Post by schröder » 2005-10-11 00:51

Debuggen? Wie geht das?

Ich habe bisher nur mit mysql -u root < create_mysql versucht die sql in die Datenbank zu holen. Außerdem noch mit phpMyAdmin. Beides ergab den gleichen Fehler. Ich habe auch versucht aus neueren bzw. älteren Versionen die sql zu laden, aber das ergab den gleichen Fehler. Ich habe aber nur MySQL v5 und keine v4 - vielleicht liegt es daran?

Roger Wilco
Administrator
Administrator
Posts: 6001
Joined: 2004-05-23 12:53

Re: Snort mit MySQL 5.0 nicht kompatibel?

Post by Roger Wilco » 2005-10-11 02:56